# 机构评级分布时间线

`GET` `/v1/quote/ratings/institutional`

获取按月统计的机构评级（买入/持有/卖出）分布时间线，最新月份在前。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 证券代码，例如 `AAPL.US` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/ratings/institutional?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `elist` | object[] | No | 月度评级分布列表，最新月份在前 |
| `└ buy` | string | No | 买入评级数量 |
| `└ over` | string | No | 跑赢市场评级数量 |
| `└ hold` | string | No | 持有评级数量 |
| `└ under` | string | No | 跑输市场评级数量 |
| `└ sell` | string | No | 卖出评级数量 |
| `└ total` | string | No | 机构总数 |
| `└ no_opinion` | string | No | 无观点的分析师数。 |
| `└ date` | string | No | Unix 时间戳（秒） |
| `tlist` | object[] | No | 时间序列列表。 |
| `└ date` | string | No | Unix 时间戳（秒） |
| `└ close` | string | No | 收盘价。 |
| `└ high_price` | string | No | 最高价。 |
| `└ low_price` | string | No | 最低价。 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "elist": [
      {
        "date": 1746057600,
        "buy": "18",
        "over": "5",
        "hold": "17",
        "under": "3",
        "sell": "4",
        "total": "51"
      },
      {
        "date": 1743379200,
        "buy": "17",
        "over": "6",
        "hold": "18",
        "under": "3",
        "sell": "5",
        "total": "53"
      }
    ]
  }
}
```
